<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="assets/dependencies/bootstrap-4.3.1-dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/css/styles.css">
    <title>Order Price Calculator</title>
</head>

<body style="background:rgb(235, 235, 235);">
    <div id="mainContainer" class="container-fluid">
        <br />
        <div class="row justify-content-center">
            <div class="main-header">
                <h1>Order Price Calculator</h1>
            </div>
        </div>
        <hr />
    </div>
    <br />


    <div class="container ">
        <div class="row">
            <div class="col">
                <h6 class="text-left" style="color: rgb(133, 13, 37);">Choose source language:</h6>
                <select class="col-md form-control" id="fromLanguages" onchange="handleFromLanguageChange()">

                </select>
            </div>
            <br><br>
            <div class="col">
                <h6 class="text-left" style="color: rgb(133, 13, 37);">Choose target language:</h6>
                <select class="col-md form-control" id="targetLanguages">
                    //sisse globaalsesse parameetrisse
                </select>
            </div>
            <div class="w-100"></div><br>

            <div class="col">
                <h6 class="text-left" style="color: rgb(133, 13, 37);">Choose service:</h6>
                <select class="col-md form-control" id="serviceType">
                    <option value="1">TEP (translation/editing/proofreading)</option>
                    <option value="1.2">TEP+DTP (translation/editing/proofreading+desktop publishing)</option>
                    <option value="1.2">TEP+Localisation/adaptation</option>
                    <option value="1.6">TEP+DTP+Localisation/adaptation</option>
                    <option value="2">TEP+DTP+Creative design</option>
                </select>
            </div>

            <div class="col-sm-6">
                <h6 class=" text-left" style="color: rgb(133, 13, 37);">Choose level of quality:</h6>
                <select class="col-md form-control" id="quality">
                    <option value="1.6">Attractive (audience-targeted)</option>
                    <option value="1.2">High</option>
                    <option value="1">Medium</option>
                    <option value="0.8">Just for me to understand</option>
                </select>
            </div>

            <script>
                function myFunction() {
                    var x = document.createElement("INPUT");
                    x.setAttribute("type", "number");
                    x.setAttribute("value", "12345");
                    document.body.appendChild(x);
                }
            </script>
            <div class="w-100"></div><br>

            <div class="col-sm-6">
                <h6 class="text-left" style="color: rgb(133, 13, 37);">Choose file format:</h6>
                <select class="col-md form-control" id="format">
                    <option value="1.6">PDF</option>
                    <option value="1">DOC</option>
                    <option value="1.2">XLS</option>
                    <option value="1.2">PPT</option>
                    <option value="1.2">HTML</option>
                    <option value="1.6">JPG</option>
                    <option value="1.6">PNG</option>
                    <option value="1.4">Other</option>
                </select>
            </div>

            <div class="w-100"></div><br>
            <br>

            <div class="col-12">
                <table width="100%">
                    <tr>
                        <td>
                            <h6 class="text-left" style="color: rgb(5, 88, 197);">Enter word count:</h6>
                        </td>
                        <td>
                            <h6 class="text-center" style="color: rgb(5, 88, 197);">or</h6>
                        </td>
                        <td>
                            <h6 class="text-left" style="color: rgb(5, 88, 197);">enter character count (with spaces):
                            </h6>
                        </td>
                    </tr>
                    <tr>
                        <td width="35%">
                            <input type="text-center" id="number1" class="form-control form-control-inline"
                                onkeyup="calculatePageCount()">
                        </td>
                        <td width="30%" style="text-align: center">
                        <td width="35%">
                            <input type="text" id="number2" class="form-control form-control-inline"
                                onkeyup="calculatePageCount()">
                        </td>
                    </tr>
                    <tr>
                        <td>

                        </td>
                        <td align="center">
                            <button onclick="calculatePrice()" class="btn btn-primary"
                                id="calculatePriceButton">Calculate price</button>
                            <div class="col-12">
                                <div class="offer">
                                    <!------>
                                    <br><br>
                                    <div class="text_offer">
                                        <h5 class="text-center" style="color: rgb(5, 88, 197);">Here is your offer:</h6>
                                    </div>
                                    <div class="text_pageCount ">
                                        <h6 class="text-center" style="color: rgb(5, 88, 197);">Number of pages to
                                            translate:
                                        </h6> <span id="pageCount">0</span>
                                    </div>
                                    <div class="text_price">
                                        <h6 class="text-center" style="color: rgb(5, 88, 197);"> Total translation price
                                            (EUR):</h6><span id="price">0</span>
                                    </div>
                                    <!------>
                                </div>
                            </div>
                        </td>

                        <td>

                        </td>
                    </tr>
                </table>
            </div>


            <div class="container ">
                <div class="row">
                    <div class="col">
                        <h6 class="text-left" style="color: rgb(133, 13, 37);"><br><br><br>Enter your contact details:
                        </h6>
                        <input type="text" class="form-control" id="fullName" placeholder="Your full name">
                        <input type="text" class="form-control" id="eMail" placeholder="Your E-Mail">
                        <input type="text" class="form-control" id="phoneNumber" placeholder="Your phone number">

                    </div>

                    <div class="col">

                        <h6 class="text-left" style="color: rgb(133, 13, 37);"><br><br><br>Choose your preferred
                            language of communication:</h6>
                        <select class="col-md form-control" id="commLanguage">
                            <option value="EN">English</option>
                            <option value="EST">Estonian</option>
                            <option value="EN">Danish</option>
                            <option value="FI">Finnish</option>
                            <option value="LT">German</option>
                            <option value="LV">Latgalian</option>
                            <option value="LV">Latvian</option>
                            <option value="LT">Lithuanian</option>
                            <option value="LT">Polish</option>
                            <option value="LT">Russian</option>
                            <option value="LT">Swedish</option>
                        </select>
                        <div class="col-sm-6">
                            <h6 class="text-left" style="color: rgb(133, 13, 37);"><br>Upload the source file:</h6>

                            <div class="upload_file">


                                <input type="file" name="file" />
                            </div>
                            <div>
                                <div></div>
                            </div>

                            <td align="center">
                                <br>
                                <div class="form-check">
                                    <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                    <label class="form-check-label" for="exampleCheck1">I agree with <a
                                            href="https://www.telia.ee/en/ettevottest/lepingud-ja-tingimused/">Terms &
                                            Conditions</a></label>
                                </div><br>
                                <button class="btn btn-primary" onclick="sendOrder()">Submit</button>

                            </td>
                            <td>

                            </td>
                            </tr>
                            </table>
                        </div>

                        <script src="assets/dependencies/jquery-3.3.1/jquery-3.3.1.slim.min.js"></script>
                        <script src="assets/dependencies/popper-1.14.7/popper.min.js"></script>
                        <script src="assets/dependencies/bootstrap-4.3.1-dist/js/bootstrap.min.js"></script>
                        <script src="assets/dependencies/charts-2.8.0/chart.js"></script>
                        <script src="assets/js/config.js"></script>
                        <script src="assets/js/util.js"></script>
                        <script src="assets/js/fetchApi.js"></script>
                        <script src="assets/js/controller.js"></script>
                        <script>
                            // After page load.
                            //loadSomething();
                            loadFromLanguages();
                        </script>
</body>

</html>